using System;

namespace ConsoleApp8
{
	class Program
	{
		static void Main(string[] args)
		{
			var nk = Console.ReadLine().Split();
			int n = int.Parse(nk[0]);
			int k = int.Parse(nk[1]);
			var niz = Console.ReadLine().Split();
			int pamti = int.Parse(niz[0]);
			bool sledeci = false;
            if (pamti == k) { sledeci = true; }
			for(int i=1; i<n; i++)
            {
                if (sledeci) { Console.WriteLine(niz[i]); break; }
				int sada = int.Parse(niz[i]);
                if (sada == k) { if (i != n - 1) { sledeci = true; } else { Console.WriteLine(pamti); break; } }
			
            }
				
			
		}
	}
}